{"swagger":"2.0","info":{"version":"1.1","title":"214API","contact":{}},"host":"b2brtt-sh-it.corp.apple.com:443","basePath":"/","schemes":["https"],"consumes":["application/json"],"produces":["application/json"],"paths":{"/recvRT":{"post":{"summary":"createAPI","tags":["Misc"],"operationId":"createAPI","deprecated":false,"produces":["application/json; charset=UTF-8"],"consumes":["application/apple-json"],"parameters":[{"name":"sender","in":"header","required":true,"type":"string","description":""},{"name":"uuid","in":"header","required":true,"type":"integer","format":"int32","description":""},{"name":"receiver","in":"header","required":true,"type":"string","description":""},{"name":"msgtoken","in":"header","required":true,"type":"string","description":""},{"name":"envinstance","in":"header","required":true,"type":"string","description":""},{"name":"content-type","in":"header","required":true,"type":"string","description":""},{"name":"charset","in":"header","required":true,"type":"string","description":""},{"name":"Body","in":"body","required":true,"description":"","schema":{"$ref":"#/definitions/createAPIRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/createAPI"},"examples":{"application/json; charset=UTF-8":{"appleRTResponse":{"responseHeader":{"status":"SUCCESS","statusCode":"200","uuid":"1234567890"},"validationResponse":{"status":"FAILURE","statusCode":"2001","statusMessage":"Error Path: /shipment_Tracking \nError message:  Field is absent, field must exist\r\r"}}}},"headers":{"Server":{"type":"string","default":"Apple"},"Date":{"type":"string","default":"Tue, 17 Aug 2021 10:57:04 GMT"},"Content-Length":{"type":"string","default":"265"},"Connection":{"type":"string","default":"keep-alive"},"Strict-Transport-Security":{"type":"string","default":"max-age=31536000; includeSubdomains"},"X-Content-Type-Options":{"type":"string","default":"nosniff"},"Host":{"type":"string","default":"b2brtt-sh-it.corp.apple.com"},"X-Frame-Options":{"type":"string","default":"SAMEORIGIN"},"X-XSS-Protection":{"type":"string","default":"1; mode=block"}}}}}}},"definitions":{"createAPIRequest":{"title":"createAPIRequest","example":{"shipmentTracking":{"header":{"senderID":"AIRCHINACARGO","UUID":"000059761","version":"1.1"},"shipmentInfo":[{"shipmentInfoHdr":{"shipmentID":"8507145361","flightID":"CI0792","CTN":"620212000297","SCAC":"ACC"},"eventInfo":{"eventCode":"B6","reasonCode":"NS","dateTime":"2020-11-03T07:42:47+00:00","city":"HANOI","country":"VN"},"netWeight":{"value":"151.50","UOM":"K"}},{"shipmentInfoHdr":{"shipmentID":"8507145361","flightID":"CI0792","CTN":"620212000297","SCAC":"ACC"},"eventInfo":{"eventCode":"B6","reasonCode":"NS","dateTime":"2020-11-03T07:42:47+00:00","city":"HANOI","country":"VN"},"netWeight":{"value":"151.50","UOM":"K"}}]}},"type":"object","properties":{"shipmentTracking":{"$ref":"#/definitions/ShipmentTracking"}},"required":["shipmentTracking"]},"ShipmentTracking":{"title":"ShipmentTracking","example":{"header":{"senderID":"AIRCHINACARGO","UUID":"000059761","version":"1.1"},"shipmentInfo":[{"shipmentInfoHdr":{"shipmentID":"8507145361","flightID":"CI0792","CTN":"620212000297","SCAC":"ACC"},"eventInfo":{"eventCode":"B6","reasonCode":"NS","dateTime":"2020-11-03T07:42:47+00:00","city":"HANOI","country":"VN"},"netWeight":{"value":"151.50","UOM":"K"}},{"shipmentInfoHdr":{"shipmentID":"8507145361","flightID":"CI0792","CTN":"620212000297","SCAC":"ACC"},"eventInfo":{"eventCode":"B6","reasonCode":"NS","dateTime":"2020-11-03T07:42:47+00:00","city":"HANOI","country":"VN"},"netWeight":{"value":"151.50","UOM":"K"}}]},"type":"object","properties":{"header":{"$ref":"#/definitions/Header"},"shipmentInfo":{"type":"array","items":{"$ref":"#/definitions/ShipmentInfo"}}},"required":["header","shipmentInfo"]},"Header":{"title":"Header","example":{"senderID":"AIRCHINACARGO","UUID":"000059761","version":"1.1"},"type":"object","properties":{"senderID":{"type":"string"},"UUID":{"type":"string"},"version":{"type":"string"}},"required":["senderID","UUID","version"]},"ShipmentInfo":{"title":"ShipmentInfo","example":{"shipmentInfoHdr":{"shipmentID":"8507145361","flightID":"CI0792","CTN":"620212000297","SCAC":"ACC"},"eventInfo":{"eventCode":"B6","reasonCode":"NS","dateTime":"2020-11-03T07:42:47+00:00","city":"HANOI","country":"VN"},"netWeight":{"value":"151.50","UOM":"K"}},"type":"object","properties":{"shipmentInfoHdr":{"$ref":"#/definitions/ShipmentInfoHdr"},"eventInfo":{"$ref":"#/definitions/EventInfo"},"netWeight":{"$ref":"#/definitions/NetWeight"}},"required":["shipmentInfoHdr","eventInfo","netWeight"]},"ShipmentInfoHdr":{"title":"ShipmentInfoHdr","example":{"shipmentID":"8507145361","flightID":"CI0792","CTN":"620212000297","SCAC":"ACC"},"type":"object","properties":{"shipmentID":{"type":"string"},"flightID":{"type":"string"},"CTN":{"type":"string"},"SCAC":{"type":"string"}},"required":["shipmentID","flightID","CTN","SCAC"]},"EventInfo":{"title":"EventInfo","example":{"eventCode":"B6","reasonCode":"NS","dateTime":"2020-11-03T07:42:47+00:00","city":"HANOI","country":"VN"},"type":"object","properties":{"eventCode":{"type":"string"},"reasonCode":{"type":"string"},"dateTime":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"}},"required":["eventCode","reasonCode","dateTime","city","country"]},"NetWeight":{"title":"NetWeight","example":{"value":"151.50","UOM":"K"},"type":"object","properties":{"value":{"type":"string"},"UOM":{"type":"string"}},"required":["value","UOM"]},"createAPI":{"title":"createAPI","example":{"appleRTResponse":{"responseHeader":{"status":"SUCCESS","statusCode":"200","uuid":"1234567890"},"validationResponse":{"status":"FAILURE","statusCode":"2001","statusMessage":"Error Path: /shipment_Tracking \nError message:  Field is absent, field must exist\r\r"}}},"type":"object","properties":{"appleRTResponse":{"$ref":"#/definitions/AppleRTResponse"}},"required":["appleRTResponse"]},"AppleRTResponse":{"title":"AppleRTResponse","example":{"responseHeader":{"status":"SUCCESS","statusCode":"200","uuid":"1234567890"},"validationResponse":{"status":"FAILURE","statusCode":"2001","statusMessage":"Error Path: /shipment_Tracking \nError message:  Field is absent, field must exist\r\r"}},"type":"object","properties":{"responseHeader":{"$ref":"#/definitions/ResponseHeader"},"validationResponse":{"$ref":"#/definitions/ValidationResponse"}},"required":["responseHeader","validationResponse"]},"ResponseHeader":{"title":"ResponseHeader","example":{"status":"SUCCESS","statusCode":"200","uuid":"1234567890"},"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"string"},"uuid":{"type":"string"}},"required":["status","statusCode","uuid"]},"ValidationResponse":{"title":"ValidationResponse","example":{"status":"FAILURE","statusCode":"2001","statusMessage":"Error Path: /shipment_Tracking \nError message:  Field is absent, field must exist\r\r"},"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"string"},"statusMessage":{"type":"string"}},"required":["status","statusCode","statusMessage"]},"createAPI1":{"title":"createAPI1","example":{"appleRTResponse":{"responseHeader":{"status":"SUCCESS","statusCode":"200","uuid":"1234567890","appleCorrelationId":"AIRCHINACARGO_Apple_SHIPMENTTRACKING_UAT|f1b0f6d7-d181-4f17-a290-1add7721b390|20210817041805452"},"validationResponse":{"status":"SUCCESS","statusCode":0}}},"type":"object","properties":{"appleRTResponse":{"$ref":"#/definitions/AppleRTResponse1"}},"required":["appleRTResponse"]},"AppleRTResponse1":{"title":"AppleRTResponse1","example":{"responseHeader":{"status":"SUCCESS","statusCode":"200","uuid":"1234567890","appleCorrelationId":"AIRCHINACARGO_Apple_SHIPMENTTRACKING_UAT|f1b0f6d7-d181-4f17-a290-1add7721b390|20210817041805452"},"validationResponse":{"status":"SUCCESS","statusCode":0}},"type":"object","properties":{"responseHeader":{"$ref":"#/definitions/ResponseHeader1"},"validationResponse":{"$ref":"#/definitions/ValidationResponse1"}},"required":["responseHeader","validationResponse"]},"ResponseHeader1":{"title":"ResponseHeader1","example":{"status":"SUCCESS","statusCode":"200","uuid":"1234567890","appleCorrelationId":"AIRCHINACARGO_Apple_SHIPMENTTRACKING_UAT|f1b0f6d7-d181-4f17-a290-1add7721b390|20210817041805452"},"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"string"},"uuid":{"type":"string"},"appleCorrelationId":{"type":"string"}},"required":["status","statusCode","uuid","appleCorrelationId"]},"ValidationResponse1":{"title":"ValidationResponse1","example":{"status":"SUCCESS","statusCode":0},"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"string"}},"required":["status","statusCode"]}},"tags":[{"name":"Misc","description":""}]}